Debian Bug report logs - #176415
xmlto: fo output script improperly uses sed

Package: xmlto; Maintainer for xmlto is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for xmlto is src:xmlto.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sun, 12 Jan 2003 15:18:01 UTC

Severity: important

Tags: sid

Merged with 180149

Done: Daniel Leidert <daniel.leidert@wgdd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Graham Wilson <bob@decoy.wox.org>, xmlto@packages.qa.debian.org:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Aaron Isotton <aaron@isotton.com>:
New Bug report received and forwarded. Copy sent to Graham Wilson <bob@decoy.wox.org>, xmlto@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Isotton <aaron@isotton.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmlto cannot generate dvi/pdf/ps from docbook when there's a <filename> or a <command> in a <title>
Date: Sun, 12 Jan 2003 16:03:15 +0100
Package: xmlto
Version: 0.0.12-2
Severity: normal

xmlto cannot generate a dvi/pdf/ps from a docbook document when there
is a <filename> or a <command> (and maybe other tags, too) inside a
<title>.

You can try it with the current version of the Debian Repository
HOWTO, available from
http://www.isotton.com/debian/docs/repository-howto/repository-howto.xml.

The output I get is the following:

xmlto pdf repository-howto.xml
Making portrait pages on a4 paper (209.9028mm x 297.0389mm)
This is pdfTeX, Version 3.14159-1.10a-devel (Web2C 7.3.9)
(./tmp.fo{/usr/share/texmf/pdftex/config/pdftex.cfg
Warning: pdfxmltex (file /usr/share/texmf/pdftex/config/pdftex.cfg): invalid li
ne in config file: `pdf_minorversion 4'
}
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, n
ohyphenation, loaded.
xmltex version: 2002/06/25 v1.9 (Exp):
(/usr/share/texmf/tex/xmltex/config/xmltex.cfg) 
No File: tmp.cfg (/usr/share/texmf/tex/xmltex/passivetex/fotex.xmt)
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
(/usr/share/texmf/tex/xmltex/passivetex/fotex.sty
(/usr/share/texmf/tex/latex/graphics/graphicx.sty
(/usr/share/texmf/tex/latex/graphics/keyval.sty)
(/usr/share/texmf/tex/latex/graphics/graphics.sty
(/usr/share/texmf/tex/latex/graphics/trig.sty)
(/usr/share/texmf/tex/latex/config/graphics.cfg)
(/usr/share/texmf/tex/latex/graphics/pdftex.def)))
(/usr/share/texmf/tex/latex/tools/multicol.sty)
(/usr/share/texmf/tex/latex/misc/rotating.sty
(/usr/share/texmf/tex/latex/base/ifthen.sty))
(/usr/share/texmf/tex/latex/tools/array.sty)
(/usr/share/texmf/tex/latex/amsmath/amsmath.sty
For additional information on amsmath, use the `?' option.
(/usr/share/texmf/tex/latex/amsmath/amstext.sty
(/usr/share/texmf/tex/latex/amsmath/amsgen.sty))
(/usr/share/texmf/tex/latex/amsmath/amsbsy.sty)
(/usr/share/texmf/tex/latex/amsmath/amsopn.sty))
(/usr/share/texmf/tex/latex/tools/longtable.sty)
(/usr/share/texmf/tex/latex/latex2html/url.sty)
(/usr/share/texmf/tex/latex/misc/ulem.sty)
(/usr/share/texmf/tex/latex/graphics/color.sty
(/usr/share/texmf/tex/latex/config/color.cfg))
(/usr/share/texmf/tex/latex/psnfss/times.sty)
(/usr/share/texmf/tex/xmltex/passivetex/mlnames.sty)
(/usr/share/texmf/tex/xmltex/passivetex/unicode.sty
WARNING: tipa package not loaded. some symbols will fail
(/usr/share/texmf/tex/latex/base/fontenc.sty
(/usr/share/texmf/tex/latex/cyrillic/t2aenc.def)
(/usr/share/texmf/tex/latex/base/t1enc.def))
(/usr/share/texmf/tex/latex/amsfonts/amssymb.sty
(/usr/share/texmf/tex/latex/amsfonts/amsfonts.sty))
(/usr/share/texmf/tex/latex/tools/bm.sty)
(/usr/share/texmf/tex/latex/base/textcomp.sty
(/usr/share/texmf/tex/latex/base/ts1enc.def))
(/usr/share/texmf/tex/latex/psnfss/pifont.sty
(/usr/share/texmf/tex/latex/psnfss/upzd.fd)
(/usr/share/texmf/tex/latex/psnfss/upsy.fd))
(/usr/share/texmf/tex/latex/wasysym/wasysym.sty)
(/usr/share/texmf/tex/latex/misc/stmaryrd.sty)
WARNING: Elsevier font setup not found
(/usr/share/texmf/tex/xmltex/passivetex/dummyels.sty)
WARNING: mmasym package not loaded. some symbols will fail
(/usr/share/texmf/tex/latex/amsfonts/eucal.sty))
(/usr/share/texmf/tex/latex/misc/marvosym.sty)
(/usr/share/texmf/tex/xmltex/passivetex/ucharacters.sty)
(/usr/share/texmf/tex/latex/hyperref/nameref.sty)
(/usr/share/texmf/tex/latex/hyperref/hyperref.sty
(/usr/share/texmf/tex/latex/hyperref/pd1enc.def)
(/usr/share/texmf/tex/latex/config/hyperref.cfg)
Implicit mode ON; LaTeX internals redefined
)
*hyperref using default driver hpdftex*
(/usr/share/texmf/tex/latex/hyperref/hpdftex.def))
No file tmp.aux.
(/usr/share/texmf/tex/latex/cyrillic/t2acmr.fd)
(/usr/share/texmf/tex/latex/base/ts1cmr.fd)
(/usr/share/texmf/tex/latex/psnfss/t1ptm.fd)
No file tmp.out.
No file tmp.out.
(/usr/share/texmf/tex/latex/psnfss/t1phv.fd)
(/usr/share/texmf/tex/latex/psnfss/t1pcr.fd)
(/usr/share/texmf/tex/latex/amsfonts/umsa.fd)
(/usr/share/texmf/tex/latex/amsfonts/umsb.fd)
(/usr/share/texmf/tex/latex/wasysym/uwasy.fd)
(/usr/share/texmf/tex/latex/misc/ustmry.fd) [1{/usr/share/texmf/dvips/config/pd
ftex.map}] [2] [3]
! Argument of \XML@getattrib has an extra }.
<inserted text> 
                \par 
l.198 ...pt">Release</fo:inline> files</fo:marker>
                                                  <fo:block font-size="14pt"...

? 
! Emergency stop.
<inserted text> 
                \par 
l.198 ...pt">Release</fo:inline> files</fo:marker>
                                                  <fo:block font-size="14pt"...

!  ==> Fatal error occurred, the output PDF file is not finished!
Transcript written on tmp.log.
make: *** [repository-howto.pdf] Error 1


I don't know whether it is really xmlto's error; AFAIK it might be a
problem with xmlto, xsltproc, or xmltex.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux zarathustra 2.4.20-k7 #1 Sat Dec 21 18:08:10 EST 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages xmlto depends on:
ii  debianutils                   2.1.2      Miscellaneous utilities specific t
ii  docbook-xml                   4.2-4      Standard XML documentation system,
ii  docbook-xsl                   1.56.1-2   Stylesheets for processing DocBook
ii  libc6                         2.3.1-9    GNU C Library: Shared libraries an
ii  libpaper-utils                1.1.12     Library for handling paper charact
ii  libxml2                       2.5.0-1    GNOME XML library
ii  xsltproc                      1.0.21-0.3 XSLT command line processor

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, xmlto@packages.qa.debian.org:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Graham Wilson <bob@decoy.wox.org>:
Extra info received and forwarded to list. Copy sent to xmlto@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 176415@bugs.debian.org (full text, mbox):

From: Graham Wilson <bob@decoy.wox.org>
To: Aaron Isotton <aaron@isotton.com>, 176415@bugs.debian.org
Subject: Re: Bug#176415: xmlto cannot generate dvi/pdf/ps from docbook when there's a <filename> or a <command> in a <title>
Date: Sun, 12 Jan 2003 23:08:08 -0600
merge 175088 176415
thanks

On Sun, Jan 12, 2003 at 04:03:15PM +0100, Aaron Isotton wrote:
> Package: xmlto
> Version: 0.0.12-2
> Severity: normal
> 
> xmlto cannot generate a dvi/pdf/ps from a docbook document when there
> is a <filename> or a <command> (and maybe other tags, too) inside a
> <title>.

this seems to be the same problem as #175088, so im merging the two.

-- 
gram



Merged 175088 176415. Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, xmlto@packages.qa.debian.org:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Graham Wilson <bob@decoy.wox.org>:
Extra info received and forwarded to list. Copy sent to xmlto@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 176415@bugs.debian.org (full text, mbox):

From: Graham Wilson <bob@decoy.wox.org>
To: Aaron Isotton <aaron@isotton.com>, 176415@bugs.debian.org, Tom Cato Amundsen <tca@debian.org>
Cc: control@bugs.debian.org
Subject: Re: Bug#176415: xmlto cannot generate dvi/pdf/ps from docbook when there's a <filename> or a <command> in a <title>
Date: Sat, 22 Feb 2003 22:18:46 -0600
[Message part 1 (text/plain, inline)]
retitle 176415 generating dvi/ps from docbook fails with <filename> or <command> in <title>
retitle 175088 generating dvi/ps from docbook fails with <emphasis> in <title>
thanks

On Sun, Jan 12, 2003 at 04:03:15PM +0100, Aaron Isotton wrote:
> Package: xmlto
> Version: 0.0.12-2
> Severity: normal
> 
> xmlto cannot generate a dvi/pdf/ps from a docbook document when there
> is a <filename> or a <command> (and maybe other tags, too) inside a
> <title>.

this bug seems to only be an issue when generating dvi or ps output.

i tried creating dvi output with the newest version of xmlto [1], and
pdf works fine, while dvi doesnt. please let me know if this is not the
case for you.

[1] available from http://decoy.wox.org/~bob/debian/unstable/

-- 
gram
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Graham Wilson <bob@decoy.wox.org>, xmlto@packages.qa.debian.org:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Aaron Isotton <aaron@isotton.com>:
Extra info received and forwarded to list. Copy sent to Graham Wilson <bob@decoy.wox.org>, xmlto@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 176415@bugs.debian.org (full text, mbox):

From: Aaron Isotton <aaron@isotton.com>
To: Graham Wilson <bob@decoy.wox.org>
Cc: 176415@bugs.debian.org, Tom Cato Amundsen <tca@debian.org>
Subject: Re: Bug#176415: xmlto cannot generate dvi/pdf/ps from docbook when there's a <filename> or a <command> in a <title>
Date: 23 Feb 2003 06:18:08 +0100
On Sun, 2003-02-23 at 05:18, Graham Wilson wrote:
> retitle 176415 generating dvi/ps from docbook fails with <filename> or <command> in <title>
> retitle 175088 generating dvi/ps from docbook fails with <emphasis> in <title>
> thanks
> 
> On Sun, Jan 12, 2003 at 04:03:15PM +0100, Aaron Isotton wrote:
> > Package: xmlto
> > Version: 0.0.12-2
> > Severity: normal
> > 
> > xmlto cannot generate a dvi/pdf/ps from a docbook document when there
> > is a <filename> or a <command> (and maybe other tags, too) inside a
> > <title>.
> 
> this bug seems to only be an issue when generating dvi or ps output.
> 
> i tried creating dvi output with the newest version of xmlto [1], and
> pdf works fine, while dvi doesnt. please let me know if this is not the
> case for you.
> 
> [1] available from http://decoy.wox.org/~bob/debian/unstable/

I've now given it a try again both before and after updating xmlto, with
the same results.

I was unable to convert the Debian Repository HOWTO to both dvi and ps,
but I could convert it to PDF.  I was able to convert a short xml
document using both <emphasis> and <command> inside <title> tags to all
three formats.

I believe that this bug is related to #181444 (although I have no
problems with lists), #170477 and (maybe) #181055.  I have no idea of
what might cause all this trouble.

Aaron Isotton                              [ http://www.isotton.com ]
--
Damn, I need a Coke!
		-- Dr. William DeVries
		[after implanting the first artificial human heart]




Information forwarded to debian-bugs-dist@lists.debian.org, xmlto@packages.qa.debian.org:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Graham Wilson <bob@decoy.wox.org>:
Extra info received and forwarded to list. Copy sent to xmlto@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 176415@bugs.debian.org (full text, mbox):

From: Graham Wilson <bob@decoy.wox.org>
To: Aaron Isotton <aaron@isotton.com>
Cc: Graham Wilson <bob@decoy.wox.org>, 176415@bugs.debian.org, Tom Cato Amundsen <tca@debian.org>
Subject: Re: Bug#176415: xmlto cannot generate dvi/pdf/ps from docbook when there's a <filename> or a <command> in a <title>
Date: Sun, 23 Feb 2003 02:17:56 -0600
[Message part 1 (text/plain, inline)]
On Sun, Feb 23, 2003 at 06:18:08AM +0100, Aaron Isotton wrote:
> I was unable to convert the Debian Repository HOWTO to both dvi and ps,
> but I could convert it to PDF.

i will run some tests with this file.

> I was able to convert a short xml document using both <emphasis> and
> <command> inside <title> tags to all three formats.

could you email me this file?

so basically you are saying that you have one case where dvi and ps dont
work and another where all three work?

> I believe that this bug is related to #181444 (although I have no
> problems with lists), #170477 and (maybe) #181055.  I have no idea of
> what might cause all this trouble.

i agree on the first two counts, though i am unsure about #181055, as it
is already fixed.

-- 
gram
[Message part 2 (application/pgp-signature, inline)]

Disconnected #175088 from all other report(s). Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, xmlto@packages.qa.debian.org:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Graham Wilson <bob@decoy.wox.org>:
Extra info received and forwarded to list. Copy sent to xmlto@packages.qa.debian.org. Full text and rfc822 format available.

Message #36 received at 176415@bugs.debian.org (full text, mbox):

From: Graham Wilson <bob@decoy.wox.org>
To: Aaron Isotton <aaron@isotton.com>, 176415@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#176415: xmlto cannot generate dvi/pdf/ps from docbook when there's a <filename> or a <command> in a <title>
Date: Sun, 2 Mar 2003 17:26:20 -0600
[Message part 1 (text/plain, inline)]
retitle 176415 generating dvi/ps output from docbook fails when using <itemizedlist>
reassign 176415 xmltex
thanks

On Mon, Feb 24, 2003 at 03:37:20PM +0100, Aaron Isotton wrote:
> On Sun, 2003-02-23 at 09:17, Graham Wilson wrote:
> > On Sun, Feb 23, 2003 at 06:18:08AM +0100, Aaron Isotton wrote:
> > > I was unable to convert the Debian Repository HOWTO to both dvi and ps,
> > > but I could convert it to PDF.
> > 
> > i will run some tests with this file.

i have run the tests and it only fails on dvi/ps for me. that was what
happened for you, too, right?

> > > I was able to convert a short xml document using both <emphasis> and
> > > <command> inside <title> tags to all three formats.
> > 
> > could you email me this file?
> 
> Attached.

i tested this file and another one (attached) and dvi/ps and pdf both
passed. this makes it seem like #175088 is fixed; therefore i am closing
it.

i am reassigning your bug to xmltex, and renaming to state that the
problem is with the <itemizedlist> tag. i think that it should be merged
with #181444 and #170477 (which i am reopening).

> > > I believe that this bug is related to #181444 (although I have no
> > > problems with lists), #170477 and (maybe) #181055.  I have no idea of
> > > what might cause all this trouble.
> > 
> > i agree on the first two counts, though i am unsure about #181055, as it
> > is already fixed.
> 
> I'm not 100% sure that's true.

well the bug basically said to upgrade passivetex to the newest version,
which fabien has done. why dont you think the bug is fixed?

-- 
gram
[test3.xml (text/xml, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Changed Bug title. Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmlto' to `xmltex'. Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmltex' to `passivetex'. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 176415 180149. Request was from Fabien Ninoles <fabien@tzone.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from jaldhar@debian.org (Jaldhar H. Vyas) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from jaldhar@debian.org (Jaldhar H. Vyas) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fabien Ninoles <fabien@debian.org>:
Bug#176415; Package passivetex. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Fabien Ninoles <fabien@debian.org>. Full text and rfc822 format available.

Message #61 received at 176415@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian BTS Control Daemon <control@bugs.debian.org>, 176415@bugs.debian.org, 180149@bugs.debian.org
Cc: graham@debian.org
Subject: Bug in xmlto, not passivetex
Date: Sun, 25 Jan 2004 22:29:36 +0000
[Message part 1 (text/plain, inline)]
reassign 176415 xmlto
# Just in case.
reassign 180149 xmlto
thanks, control, and have a nice day

Graham, this is a bug in the fo-to-dvi, fo-to-ps, and fo-to-pdf
postprocessing scripts. The command 
	sed -e "s,/>,\n/>,g" "$XSLT_PROCESSED" >/tmp.fo
should be
	sed -e "s,/>,/>\n,g" "$XSLT_PROCESSED" >/tmp.fo
.

The former inserts whitespace in the middle of the tag, which causes
{pdf,}xmltex to choke, while the latter causes smooth sailing. I have
tried using the former with pdfxmltex by hand and get the same error as
in these bugs. The latter does not cause the errroor.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `passivetex' to `xmlto'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmlto' to `xmlto'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Graham Wilson <graham@debian.org>:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Graham Wilson <graham@debian.org>. Full text and rfc822 format available.

Message #70 received at 176415@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 176415@bugs.debian.org, 180149@bugs.debian.org
Subject: Use perl -pe instead of sed -e
Date: Mon, 26 Jan 2004 04:10:50 +0000
[Message part 1 (text/plain, inline)]
Sorry, that should be:
	perl -pe 's,/>,/>\n,g' ...
instead of
	sed -e "s,/>,/>\n,g" ...
because sed has some issues and doesn't like the newline at the end.
Instead it sprinkles 'n's throughout the document. perl-base is also
Essential: yes, so this should not add any dependencies.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Graham Wilson <graham@debian.org>:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to Graham Wilson <bob@decoy.wox.org>:
Extra info received and forwarded to list. Copy sent to Graham Wilson <graham@debian.org>. Full text and rfc822 format available.

Message #75 received at 176415@bugs.debian.org (full text, mbox):

From: Graham Wilson <bob@decoy.wox.org>
To: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>, 176415@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug in xmlto, not passivetex
Date: Wed, 28 Jan 2004 15:14:23 -0600
[Message part 1 (text/plain, inline)]
tags 176415 + unreproducible
thanks

On Sun, Jan 25, 2004 at 10:29:36PM +0000, Brian Carlson wrote:
> Graham, this is a bug in the fo-to-dvi, fo-to-ps, and fo-to-pdf
> postprocessing scripts. The command 
> 	sed -e "s,/>,\n/>,g" "$XSLT_PROCESSED" >/tmp.fo
> should be
> 	sed -e "s,/>,/>\n,g" "$XSLT_PROCESSED" >/tmp.fo
> .
> 
> The former inserts whitespace in the middle of the tag, which causes
> {pdf,}xmltex to choke, while the latter causes smooth sailing. I have
> tried using the former with pdfxmltex by hand and get the same error as
> in these bugs. The latter does not cause the errroor.

As I've said earlier, I can't reproduce the errors in this bug report.

Additionally, upstream notes that adding the newline after the tag
closing adds extra whitespace to the XSL-FO file, and XML is whitespace
sensitive. Additionally, whitespace in the tags is not against the XML
standard.

Could you please submit an XSL-FO file which triggers this bug, along
with the output from xmltex and/or pdfxmltex?

-- 
gram
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Graham Wilson <graham@debian.org>:
Bug#176415; Package xmlto. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Graham Wilson <graham@debian.org>. Full text and rfc822 format available.

Message #82 received at 176415@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian BTS Control Daemon <control@bugs.debian.org>
Cc: 176415@bugs.debian.org, 180419@bugs.debian.org
Subject: sed breaks xmlto when _POSIX2_VERSION=200112
Date: Wed, 28 Jan 2004 22:31:03 +0000
[Message part 1 (text/plain, inline)]
submitter 176415 !
submitter 180419 !
reassign 176415 sed
reassign 180149 sed
retitle 176415 sed: treats \n as n in POSIX mode
retitle 180419 sed: treats \n as n in POSIX mode
thanks, control, and have a nice day

sed treats '\n' as 'n' in s/// expressions when _POSIX2_VERSION=200112
and/or POSIXLY_CORRECT=200112 (I'm not sure which does it, though I
think it's the former). This breaks xmlto, so I'm reassigning these bugs
to you. This is the wrong behavior for POSIX mode, as SUSv3 (POSIX
1003.1-2001) BREs indicate that \n is to be treated as a newline.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Aaron Isotton <aaron@isotton.com> to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmlto' to `sed'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `sed' to `sed'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: unreproducible Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug#176415. Full text and rfc822 format available.

Message #95 received at 176415-submitter@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 176415-submitter@bugs.debian.org, 180149-submitter@bugs.debian.org
Subject: sed and \n
Date: Fri, 20 Feb 2004 23:09:33 -0500
Two things:

In s/BRE/replacement/flags, "replacement" is not a BRE.

In a BRE, "\n" does not mean newline.


Please close these bugs or reassign them back to xmlto, as sed appears
to be conforming to POSIX.



Bug reassigned from package `sed' to `xmlto'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:12 GMT) Full text and rfc822 format available.

Reply sent to Daniel Leidert <daniel.leidert@wgdd.de>:
You have taken responsibility. (Fri, 02 Dec 2011 23:24:03 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 02 Dec 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #110 received at 176415-done@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 176415-done@bugs.debian.org, 180149-done@bugs.debian.org
Subject: sed usage fixed
Date: Sat, 03 Dec 2011 00:12:31 +0100
Not sure when, but the original issue seems to have been fixed.

The sample still fails because of an issue in docbook-xsl for which a
report has been submitted.

Regards, Daniel





Reply sent to Daniel Leidert <daniel.leidert@wgdd.de>:
You have taken responsibility. (Fri, 02 Dec 2011 23:24:04 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 02 Dec 2011 23:24:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Dec 2011 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:32:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.